<!---
	/* ***************************************************************
	/*
	Author: 	Carlos Villarreal Mora
	Name:		$activityFeed.cfm
	Summary:	Uses FBML to render Facebook's Activity Feed plugin using data from the Custom Element
	History:
		2010-06-25 - CVM - Created
--->
<cfscript>
	request.element.isStatic = 0;
	items = attributes.elementInfo.elementData.propertyValues;
	if (arrayLen(items)) {
		activityStruct = items[1].values;
		
		//initialize Facebook API
		application.facebook2.scripts.loadFacebookJS();
	}
</cfscript>

<cfif isDefined("activityStruct")><cfoutput>
	<fb:activity 
		<cfif activityStruct.header neq true>header="false" </cfif>
		<cfif activityStruct.recommendations eq true>recommendations="true"<cfelse>recommendations="false" </cfif>
		<cfif len(activityStruct.colorScheme)>colorscheme="#activityStruct.colorScheme#"</cfif>
		<cfif len(activityStruct.font)>font="#activityStruct.font#" </cfif>
		<cfif len(activityStruct.height)>height="#activityStruct.height#" </cfif>
		<cfif len(activityStruct.width)>width="#activityStruct.width#" </cfif>
	/>
</cfoutput></cfif>